#!/bin/sh -e

cd `dirname $0`
cd src
rm -f scripts/BUILD.CONF
./build.sh fcl
./build.sh libsimpletcp
./build.sh fcrypt
./build.sh fproxy

#WDIR=fproxy/work
#TDIR=../bin
#
#cp -p $WDIR/proxy $TDIR/fproxy
#cp -p $WDIR/proxy_r $TDIR/fproxy_r
#cp -p $WDIR/dashboard $TDIR/fproxy-dashboard
#cp -p $WDIR/cache_add $TDIR/fproxy-cache_add
#cp -p $WDIR/cacheconv-78 $TDIR/fproxy-cacheconv-78
#cp -p $WDIR/ssl-client-wrapper $WDIR/ssl-server-wrapper $TDIR/

cd fproxy
PREPARE_SILENT=1 ./prepare-dir.sh
rm -Rf ../../fproxy-target
mv work/fproxy-target ../../fproxy-target
mv work/cacert.pem ../../cacert.pem

echo "directory ./fproxy-target prepared"
echo "created certificate ./cacert.pem that should be installed as trusted root CA into browser"
echo "ALL DONE"

