#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Werror -Wno-parentheses"
DEBUGOPTS="-DDEBUG_SSL_CLIENT"
# DEBUGOPTS=""
cc="gcc $WARNOPTS -c"

rm -f *.o

echo Compiling...
echo helpers/libsimpletcp.c
$cc -DUSE_SNPRINTF -DHAVE_SOCKLEN_T -DLST_SOCK_UNIX_SUPPORT helpers/libsimpletcp.c
echo helpers/lst_ssl.c
$cc $DEBUGOPTS helpers/lst_ssl.c
echo proxy-old.c
$cc $DEBUGOPTS proxy-old.c
echo eventlog.c
$cc eventlog.c
echo Linking...
rm -f ../work/proxy-old
gcc -Wall -lcrypto -lssl -o ../work/proxy-old *.o
rm -f *.o



