# dd if=/dev/urandom of=100mb bs=1048576 count=100
# cpu: Intel(R) Celeron(R) CPU  N2830  @ 2.16GHz
# freq: up to 2400MHz
# have this (user time):
# debian 10.6 system utilities: 0.27 0.67 1.50 13.24
# -O0 1.49 5.58 9.95 18.41
# -O1 0.39 1.27 2.18 4.58
# -O2 0.41 1.38 2.22 4.93
# -O3 0.37 1.21 1.92 4.92

FMT="real=%e user=%U sys=%S"
time -f "$FMT" fcrypt md5 100mb
time -f "$FMT" fcrypt sha1 100mb
time -f "$FMT" fcrypt sha256 100mb
time -f "$FMT" fcrypt sha512 100mb
time -f "$FMT" fcrypt -b aes_enc test/key256 10mb >> /dev/null
time -f "$FMT" fcrypt -b aes_dec test/key256 10mb >> /dev/null
time -f "$FMT" fcrypt -b aes256_enc test/key256 10mb >> /dev/null
time -f "$FMT" fcrypt -b aes256_dec test/key256 10mb >> /dev/null
time -f "$FMT" fcrypt -b kuz_enc test/key256 10mb >> /dev/null
time -f "$FMT" fcrypt -b kuz_dec test/key256 10mb >> /dev/null
