/* Kuznyechik mul table generator */
/* (c) 2021 firk */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include "../../fcl/types.h"

static uint8 kuz_mul(uint8 a, uint8 b) {
  uint8 c;
  c = 0;
  while(b) {
    if(b&1) c^=a;
    b>>=1;
    if(a&0x80) { a = (a<<1)^0xC3; } else { a = (a<<1); }
  }
  return c;
}


static void gen(uint8 a) {
  uint b;
  printf("static uint8 const kuz_mul_%u[256] = {\n", (uint)a);
  for(b=0; b<256; b++) {
    if(!(b%8)) printf("  ");
    printf("0x%02X", kuz_mul(a,(uint8)b));
    if(b==255) printf("\n};\n\n");
    else if((b%8)==7) printf(",\n");
    else printf(", ");
  }
}

int main(void) {
  gen(148);
  gen(32);
  gen(133);
  gen(16);
  gen(194);
  gen(192);
  gen(1);
  gen(251);
  return 0;
}
